package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.bopdecbo.Dbr;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface DbrMapper {
    int insert(Dbr record);

    int insertSelective(Dbr record);

    int updateByPrimaryKeySelective(Dbr record);

    int updateByPrimaryKey(Dbr record);

    int deleteByPrimaryKey(Dbr record);

    int deleteByIds(Collection<Object> collection);

    Dbr selectByPrimaryKey(Dbr record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Dbr> dyncRead(Map<String,Object> dyncMap);

    Dbr selectByRptnoAndTmpref(@Param("rptno")String rptno, @Param("tmpref")String tmpref);
    Dbr selectByTmpref(@Param("tmpref")String tmpref);
}
